{ Macros
 (C) 2005-2012, Andreas Berg. All Rights Reserved. }
unit _macro;

interface

uses
 _common;

var
 MacroName         : string;
 MacroIsObject     : boolean;
 MacroStart        : TDefValue;
 MacroLength       : TDefValue;
 MacroParamOffset  : TDefValue;
 MacroParamCount   : TDefValue;

 ParamList         : array of string;
 ParamCnt          : TDefValue;

 ParamValList      : array of string;
 ParamValCount     : TDefValue;

procedure InitMacros;

procedure AddParam(n: string);
procedure AddParamValue(val: string);

implementation

procedure InitMacros;
begin
   SetLength(ParamList, 1);
   SetLength(ParamValList, 1);

   MacroName:= '';
   MacroIsObject:= false;
   MacroStart:= 0;
   MacroLength:= 0;
   MacroParamOffset:= 0;
   MacroParamCount:= 0;

   ParamCnt:= 0;
   ParamValCount:= 0;
end;



procedure AddParam(n: string);
begin
   SetLength(ParamList, ParamCnt + 1);
   ParamList[ParamCnt]:= n;
   Inc(ParamCnt);
end;

procedure AddParamValue(val: string);
begin
   SetLength(ParamValList, ParamValCount + 1);
   ParamValList[ParamValCount]:= val;
   Inc(ParamValCount);
end;

end.
 
